=== Exceptions

Blocks in an `IF` chain that contain a single line of code are ignored, as are blocks in a `EVALUATE` statement that contain a single line of code.


[source,cobol]
----
EVALUATE X
  WHEN 1
    PERFORM SECTION1
  WHEN 2
    PERFORM SECTION2
  WHEN 3              *> no issue, usually this is done on purpose to increase the readability
    PERFORM SECTION1
END-EVALUATE.
----

But this exception does not apply to `IF` chains without `ELSE`-s, or to `EVALUATE`-s without `WHEN OTHER` clauses when all branches have the same single line of code. In case of `IF` chains with `ELSE`-s, or of `EVALUATE`-es with `WHEN OTHER` clauses, rule S3923 raises a bug. 

[source,cobol]
----
EVALUATE X
  WHEN 1
    PERFORM SECTION1
  WHEN 3              *> Noncompliant, this might have been done on purpose but probably not
    PERFORM SECTION1
END-EVALUATE.
----